Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class SoundManager

    java.lang.Object
      net.minecraft.src.SoundManager

    public class SoundManager

extends Object

Field Summary
`static int` | `MUSIC_INTERVAL`
`static paulscode.sound.SoundSystem` | `sndSystem` A reference to the sound system.
`SoundPool` | `soundPoolMusic` Sound pool containing music.
`SoundPool` | `soundPoolSounds` Sound pool containing sounds.
`SoundPool` | `soundPoolStreaming` Sound pool containing streaming audio.

Constructor Summary
`SoundManager()`

Method Summary
`void` | `addMusic(String par1Str, File par2File)` Adds an audio file to the music SoundPool.
`void` | `addSound(String par1Str, File par2File)` Adds a sounds with the name from the file.
`void` | `addStreaming(String par1Str, File par2File)` Adds an audio file to the streaming SoundPool.
`void` | `closeMinecraft()` Called when Minecraft is closing down.
`void` | `loadSoundSettings(GameSettings par1GameSettings)` Used for loading sound settings from GameSettings
`void` | `onSoundOptionsChanged()` Called when one of the sound level options has changed.
`void` | `playRandomMusicIfReady()` If its time to play new music it starts it up.
`void` | `playSound(String par1Str, float par2, float par3, float par4, float par5, float par6)` Plays a sound.
`void` | `playSoundFX(String par1Str, float par2, float par3)` Plays a sound effect with the volume and pitch of the parameters passed.
`void` | `playStreaming(String par1Str, float par2, float par3, float par4, float par5, float par6)`
`void` | `setListener(EntityLiving par1EntityLiving, float par2)` Sets the listener of sounds

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sndSystem

    public static paulscode.sound.SoundSystem sndSystem

  A reference to the sound system.

### soundPoolSounds

    public SoundPool soundPoolSounds

  Sound pool containing sounds.

### soundPoolStreaming

    public SoundPool soundPoolStreaming

  Sound pool containing streaming audio.

### soundPoolMusic

    public SoundPool soundPoolMusic

  Sound pool containing music.

### MUSIC_INTERVAL

    public static int MUSIC_INTERVAL

Constructor Detail

### SoundManager

    public SoundManager()

Method Detail

### loadSoundSettings

    public void loadSoundSettings(GameSettings par1GameSettings)

  Used for loading sound settings from GameSettings

### onSoundOptionsChanged

    public void onSoundOptionsChanged()

  Called when one of the sound level options has changed.

### closeMinecraft

    public void closeMinecraft()

  Called when Minecraft is closing down.

### addSound

    public void addSound(String par1Str,
                         File par2File)

  Adds a sounds with the name from the file. Args: name, file

### addStreaming

    public void addStreaming(String par1Str,
                             File par2File)

  Adds an audio file to the streaming SoundPool.

### addMusic

    public void addMusic(String par1Str,
                         File par2File)

  Adds an audio file to the music SoundPool.

### playRandomMusicIfReady

    public void playRandomMusicIfReady()

  If its time to play new music it starts it up.

### setListener

    public void setListener(EntityLiving par1EntityLiving,
                            float par2)

  Sets the listener of sounds

### playStreaming

    public void playStreaming(String par1Str,
                              float par2,
                              float par3,
                              float par4,
                              float par5,
                              float par6)

### playSound

    public void playSound(String par1Str,
                          float par2,
                          float par3,
                          float par4,
                          float par5,
                          float par6)

  Plays a sound. Args: soundName, x, y, z, volume, pitch

### playSoundFX

    public void playSoundFX(String par1Str,
                            float par2,
                            float par3)

  Plays a sound effect with the volume and pitch of the parameters passed. The sound isn't affected by position of the player (full volume and center balanced)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD